#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 criterion
version:              1.5.10.0
visibility:           public
id:                   criterion-1.5.10.0-vjU34eLkwkIft1vAoUosf
key:                  criterion-1.5.10.0-vjU34eLkwkIft1vAoUosf
license:              BSD-3-Clause
copyright:            2009-2016 Bryan O'\''Sullivan and others
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             http://www.serpentine.com/criterion
synopsis:             Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.

    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.

    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.

category:             Development, Performance, Testing, Benchmarking
abi:                  65d9a20d4ed85f67a83a3b054e9af8fc
exposed:              True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types

hidden-modules:       Criterion.Monad.Internal Paths_criterion
import-dirs:          /usr/lib/ghc-9.0.2/site-local/criterion-1.5.10.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/criterion-1.5.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-criterion
hs-libraries:         HScriterion-1.5.10.0-vjU34eLkwkIft1vAoUosf
depends:
    Glob-0.10.2-5H03sW4ydF4DOZoL6v33OH
    aeson-1.5.6.0-9RfWlbr0iJzGkGGEmlWhlU
    ansi-wl-pprint-0.6.9-H73AYvho0qzJ9p4nQQDeaP base-4.15.1.0
    base-compat-batteries-0.12.1-Gp13J2MhViX598p1IOaouY binary-0.8.8.0
    binary-orphans-1.0.2-1ahNpmj5RZ3A0shVvt6dW2 bytestring-0.10.12.1
    cassava-0.5.2.0-1o8P26LMq5BQv3b9dP6FI
    code-page-0.2.1-2yvmeM0b2LT6XlGG4kufG5 containers-0.6.4.1
    criterion-measurement-0.1.3.0-6f2p8pXCLxV1PxzaNQsQUk
    deepseq-1.4.5.0 directory-1.3.6.2 exceptions-0.10.4
    filepath-1.4.2.1 js-chart-2.9.4.1-Flj5BKolsep7sdg9Mb6p76
    microstache-1.0.2-53rGXevaZsp6BTWNDo4W4l mtl-2.2.2
    mwc-random-0.15.0.2-EdXxnK43S1lIW7MTpcI463
    optparse-applicative-0.16.1.0-Je4Eqp47gZkHU3mHmIhYBI
    parsec-3.1.14.0 statistics-0.16.0.1-D4UzabFW9OrAPKxJGT1qYZ
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    transformers-compat-0.7.1-5G5J9BcZIFIGkjABObiUpP
    vector-0.12.3.1-K551lzEJJcR9600hgrx2VO
    vector-algorithms-0.8.0.4-9qDvZJAFjuEIjMLZjyJkk8

haddock-interfaces:   /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html:         /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

